Subject: Re: what is ~1MB of memory allocated at fffea000-fffff000 on ppc64?

From: Anton Blanchard <[email-masked]>
Date: Mon, 27 Aug 2007 15:31:57 -0500

Hi,

> I've got a ppc64 box running 2.6.14.  64-bit kernel, 32-bit userspace. 
> It has a ~86KB chunk of memory near the top of the process address 
> space, and I'm not sure who's setting it up and what the purpose is.  In 
> /proc/<pid>/maps it looks like this:
> 
> fffea000-fffff000 rw-p fffea000 00:00 0
> 
> Can anyone enlighten me as to what this is for and who is allocating it?

Looks like your process stack. BTW we leave the top page
(0xfffff000 - 0xffffffff) unmapped mostly because of test cases that
expect

*(unsigned long *)-1UL

to fail.

Anton